[arch-commits] Commit in python/trunk (4 files)

Felix Yan fyan at archlinux.org
Tue Sep 15 07:20:36 UTC 2015


    Date: Tuesday, September 15, 2015 @ 09:20:36
  Author: fyan
Revision: 246364

Python 3.5.0

Added:
  python/trunk/test_gdb-version-fix.patch
Modified:
  python/trunk/PKGBUILD
Deleted:
  python/trunk/fix-undefined-behaviour-in-faulthandler.patch
  python/trunk/increase-dh-key-size.patch

-----------------------------------------------+
 PKGBUILD                                      |   41 +++++++++++---------
 fix-undefined-behaviour-in-faulthandler.patch |   41 --------------------
 increase-dh-key-size.patch                    |   49 ------------------------
 test_gdb-version-fix.patch                    |   11 +++++
 4 files changed, 34 insertions(+), 108 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2015-09-15 03:51:15 UTC (rev 246363)
+++ PKGBUILD	2015-09-15 07:20:36 UTC (rev 246364)
@@ -6,9 +6,9 @@
 # Contributor: Jason Chu <jason at archlinux.org>
 
 pkgname=python
-pkgver=3.4.3
-pkgrel=3
-_pybasever=3.4
+pkgver=3.5.0
+pkgrel=1
+_pybasever=3.5
 pkgdesc="Next generation of the python high-level scripting language"
 arch=('i686' 'x86_64')
 license=('custom')
@@ -15,7 +15,7 @@
 url="http://www.python.org/"
 depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
 makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal' 'hardening-wrapper')
-checkdepends=('gdb')
+checkdepends=('gdb' 'xorg-server-xvfb')
 optdepends=('python-setuptools'
             'python-pip'
             'sqlite'
@@ -25,22 +25,17 @@
 options=('!makeflags')
 provides=('python3')
 replaces=('python3')
-source=(http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz
-        fix-undefined-behaviour-in-faulthandler.patch
-        increase-dh-key-size.patch)
-sha1sums=('7ca5cd664598bea96eec105aa6453223bb6b4456'
-          '26c5bb4fc14d49438fbd99a5aa9a51289b6d3010'
-          '924393ee68a39ba4931a49045895db8786b5e178')
+source=("http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"
+        test_gdb-version-fix.patch)
+sha1sums=('871a06df9ab70984b7398ac53047fe125c757a70'
+          'ab86515aff465385675e2e6e593f09596e0a8db0')
 
 prepare() {
   cd Python-${pkgver}
 
-  # https://bugs.python.org/issue23433
-  patch -Np1 -i ../fix-undefined-behaviour-in-faulthandler.patch
+  # https://bugs.python.org/issue25096
+  patch -p1 -i ../test_gdb-version-fix.patch
 
-  # https://bugs.python.org/issue23844
-  patch -Np1 -i ../increase-dh-key-size.patch
-
   # FS#23997
   sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
 
@@ -72,12 +67,17 @@
 }
 
 check() {
-  # test_site: http://bugs.python.org/issue21535
+  # Failures:
+  # test_pathlib & test_posixpath: https://bugs.python.org/issue24950
 
+  # Hacks:
+  # test_tk: xvfb-run
+  # test_unicode_file: LC_CTYPE=en_US.utf-8
+
   cd Python-${pkgver}
   LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
-  TERM=screen \
-    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall -x test_site test_posixpath test_urllib2_localnet
+  LC_CTYPE=en_US.utf-8 xvfb-run \
+    "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall || warning "Expected failure"
 }
 
 package() {
@@ -95,6 +95,11 @@
   ln -sf ../../libpython${_pybasever}m.so \
     "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
 
+  # some useful "stuff" FS#46146
+  install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+  install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+  install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
   # Clean-up reference to build directory
   sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
 

Deleted: fix-undefined-behaviour-in-faulthandler.patch
===================================================================
--- fix-undefined-behaviour-in-faulthandler.patch	2015-09-15 03:51:15 UTC (rev 246363)
+++ fix-undefined-behaviour-in-faulthandler.patch	2015-09-15 07:20:36 UTC (rev 246364)
@@ -1,41 +0,0 @@
-
-# HG changeset patch
-# User Victor Stinner <victor.stinner at gmail.com>
-# Date 1423661015 -3600
-# Node ID 689092296ad31951f8f919fc06b49450e648e93d
-# Parent  645f3d750be139ce0198e15e221da07b22289a92
-Issue #23433: Fix faulthandler._stack_overflow()
-
-Fix undefined behaviour: don't compare pointers. Use Py_uintptr_t type instead
-of void*. It fixes test_faulthandler on Fedora 22 which now uses GCC 5.
-
-diff --git a/Modules/faulthandler.c b/Modules/faulthandler.c
---- a/Modules/faulthandler.c
-+++ b/Modules/faulthandler.c
-@@ -911,12 +911,12 @@ faulthandler_fatal_error_py(PyObject *se
- }
- 
- #if defined(HAVE_SIGALTSTACK) && defined(HAVE_SIGACTION)
--static void*
--stack_overflow(void *min_sp, void *max_sp, size_t *depth)
-+static Py_uintptr_t
-+stack_overflow(Py_uintptr_t min_sp, Py_uintptr_t max_sp, size_t *depth)
- {
-     /* allocate 4096 bytes on the stack at each call */
-     unsigned char buffer[4096];
--    void *sp = &buffer;
-+    Py_uintptr_t sp = (Py_uintptr_t)&buffer;
-     *depth += 1;
-     if (sp < min_sp || max_sp < sp)
-         return sp;
-@@ -929,7 +929,8 @@ static PyObject *
- faulthandler_stack_overflow(PyObject *self)
- {
-     size_t depth, size;
--    char *sp = (char *)&depth, *stop;
-+    Py_uintptr_t sp = (Py_uintptr_t)&depth;
-+    Py_uintptr_t stop;
- 
-     depth = 0;
-     stop = stack_overflow(sp - STACK_OVERFLOW_MAX_SIZE,
-

Deleted: increase-dh-key-size.patch
===================================================================
--- increase-dh-key-size.patch	2015-09-15 03:51:15 UTC (rev 246363)
+++ increase-dh-key-size.patch	2015-09-15 07:20:36 UTC (rev 246364)
@@ -1,49 +0,0 @@
-
-# HG changeset patch
-# User Benjamin Peterson <benjamin at python.org>
-# Date 1427947446 14400
-# Node ID 1ad7c0253abe1252128d61c3d0127d22144cb354
-# Parent  47451f6e7e7528a6647dbdc435e9a9f5c13c0080
-replace 512 bit dh key with a 2014 bit one (closes #23844)
-
-Patch by Cédric Krier.
-
-diff --git a/Lib/test/dh1024.pem b/Lib/test/dh1024.pem
-new file mode 100644
---- /dev/null
-+++ b/Lib/test/dh1024.pem
-@@ -0,0 +1,7 @@
-+-----BEGIN DH PARAMETERS-----
-+MIGHAoGBAIbzw1s9CT8SV5yv6L7esdAdZYZjPi3qWFs61CYTFFQnf2s/d09NYaJt
-+rrvJhIzWavqnue71qXCf83/J3nz3FEwUU/L0mGyheVbsSHiI64wUo3u50wK5Igo0
-+RNs/LD0irs7m0icZ//hijafTU+JOBiuA8zMI+oZfU7BGuc9XrUprAgEC
-+-----END DH PARAMETERS-----
-+
-+Generated with: openssl dhparam -out dh1024.pem  1024
-diff --git a/Lib/test/dh512.pem b/Lib/test/dh512.pem
-deleted file mode 100644
---- a/Lib/test/dh512.pem
-+++ /dev/null
-@@ -1,9 +0,0 @@
-------BEGIN DH PARAMETERS-----
--MEYCQQD1Kv884bEpQBgRjXyEpwpy1obEAxnIByl6ypUM2Zafq9AKUJsCRtMIPWak
--XUGfnHy9iUsiGSa6q6Jew1XpKgVfAgEC
-------END DH PARAMETERS-----
--
--These are the 512 bit DH parameters from "Assigned Number for SKIP Protocols"
--(http://www.skip-vpn.org/spec/numbers.html).
--See there for how they were generated.
--Note that g is not a generator, but this is not a problem since p is a safe prime.
-diff --git a/Lib/test/test_ssl.py b/Lib/test/test_ssl.py
---- a/Lib/test/test_ssl.py
-+++ b/Lib/test/test_ssl.py
-@@ -64,7 +64,7 @@ BADKEY = data_file("badkey.pem")
- NOKIACERT = data_file("nokia.pem")
- NULLBYTECERT = data_file("nullbytecert.pem")
- 
--DHFILE = data_file("dh512.pem")
-+DHFILE = data_file("dh1024.pem")
- BYTES_DHFILE = os.fsencode(DHFILE)
- 
- 
-

Added: test_gdb-version-fix.patch
===================================================================
--- test_gdb-version-fix.patch	                        (rev 0)
+++ test_gdb-version-fix.patch	2015-09-15 07:20:36 UTC (rev 246364)
@@ -0,0 +1,11 @@
+--- a/Lib/test/test_gdb.py	2015-09-14 11:58:09.218811556 +0800
++++ b/Lib/test/test_gdb.py	2015-09-14 11:58:24.845647558 +0800
+@@ -28,7 +28,7 @@
+     # This is what "no gdb" looks like.  There may, however, be other
+     # errors that manifest this way too.
+     raise unittest.SkipTest("Couldn't find gdb on the path")
+-gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d)", gdb_version)
++gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d+)", gdb_version)
+ gdb_major_version = int(gdb_version_number.group(1))
+ gdb_minor_version = int(gdb_version_number.group(2))
+ if gdb_major_version < 7:



More information about the arch-commits mailing list